Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at	(revision 170ba6e440672fc3912107325618abdd35c6437e)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at	(revision 49c059c36d49bc80016beb5b2ba5a56947f5f28c)
@@ -4,4 +4,14 @@
 AT_KEYWORDS([selection])
 file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
+file=molecule0.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
 AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms -r], 0, [stdout], [stderr])
@@ -13,14 +23,4 @@
 AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 2 --select-molecules-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 2 --select-molecules-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 2 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
@@ -28,4 +28,14 @@
 AT_KEYWORDS([selection])
 file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
+file=molecule1.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
 AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
@@ -37,13 +47,3 @@
 AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 2 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 2 --unselect-molecules-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 2 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
